---
title: DORA Metrics
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > DORA Metrics
---

# DORA Metrics

Search, send, or delete events for DORA Metrics to measure and improve your software delivery performance. See the [DORA Metrics page](https://docs.datadoghq.com/dora_metrics.md) for more information.

**Note**: DORA Metrics are not available in the US1-FED site.

## Send a deployment event →{% #send-a-deployment-event %}

| Datadog site      | API endpoint                                              |
| ----------------- | --------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/dora/deployment |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/dora/deployment |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/dora/deployment      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/dora/deployment      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/dora/deployment  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/dora/deployment     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/dora/deployment |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/dora/deployment |

## Send an incident event →{% #send-an-incident-event %}

| Datadog site      | API endpoint                                           |
| ----------------- | ------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/dora/failure |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/dora/failure |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/dora/failure      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/dora/failure      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/dora/failure  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/dora/failure     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/dora/failure |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/dora/failure |

## Get a list of deployment events →{% #get-a-list-of-deployment-events %}

| Datadog site      | API endpoint                                               |
| ----------------- | ---------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/dora/deployments |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/dora/deployments |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/dora/deployments      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/dora/deployments      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/dora/deployments  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/dora/deployments     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/dora/deployments |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/dora/deployments |

## Get a list of incident events →{% #get-a-list-of-incident-events %}

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/dora/failures |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/dora/failures |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/dora/failures      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/dora/failures      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/dora/failures  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/dora/failures     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/dora/failures |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/dora/failures |

## Get a deployment event →{% #get-a-deployment-event %}

| Datadog site      | API endpoint                                                              |
| ----------------- | ------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/dora/deployments/{deployment_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/dora/deployments/{deployment_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/dora/deployments/{deployment_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/dora/deployments/{deployment_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/dora/deployments/{deployment_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/dora/deployments/{deployment_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/dora/deployments/{deployment_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/dora/deployments/{deployment_id} |

## Get an incident event →{% #get-an-incident-event %}

| Datadog site      | API endpoint                                                        |
| ----------------- | ------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/dora/failures/{failure_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/dora/failures/{failure_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/dora/failures/{failure_id}      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/dora/failures/{failure_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/dora/failures/{failure_id}  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/dora/failures/{failure_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/dora/failures/{failure_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/dora/failures/{failure_id} |

## Delete an incident event →{% #delete-an-incident-event %}

| Datadog site      | API endpoint                                                          |
| ----------------- | --------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/dora/failure/{failure_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/dora/failure/{failure_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/dora/failure/{failure_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/dora/failure/{failure_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/dora/failure/{failure_id}  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/dora/failure/{failure_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/dora/failure/{failure_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/dora/failure/{failure_id} |

## Delete a deployment event →{% #delete-a-deployment-event %}

| Datadog site      | API endpoint                                                                |
| ----------------- | --------------------------------------------------------------------------- |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/dora/deployment/{deployment_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/dora/deployment/{deployment_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/dora/deployment/{deployment_id}      |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/dora/deployment/{deployment_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/dora/deployment/{deployment_id}  |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/dora/deployment/{deployment_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/dora/deployment/{deployment_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/dora/deployment/{deployment_id} |

## Patch a deployment event →{% #patch-a-deployment-event %}

| Datadog site      | API endpoint                                                                |
| ----------------- | --------------------------------------------------------------------------- |
| ap1.datadoghq.com | PATCH https://api.ap1.datadoghq.com/api/v2/dora/deployments/{deployment_id} |
| ap2.datadoghq.com | PATCH https://api.ap2.datadoghq.com/api/v2/dora/deployments/{deployment_id} |
| app.datadoghq.eu  | PATCH https://api.datadoghq.eu/api/v2/dora/deployments/{deployment_id}      |
| app.ddog-gov.com  | PATCH https://api.ddog-gov.com/api/v2/dora/deployments/{deployment_id}      |
| us2.ddog-gov.com  | PATCH https://api.us2.ddog-gov.com/api/v2/dora/deployments/{deployment_id}  |
| app.datadoghq.com | PATCH https://api.datadoghq.com/api/v2/dora/deployments/{deployment_id}     |
| us3.datadoghq.com | PATCH https://api.us3.datadoghq.com/api/v2/dora/deployments/{deployment_id} |
| us5.datadoghq.com | PATCH https://api.us5.datadoghq.com/api/v2/dora/deployments/{deployment_id} |

## Send an incident event (legacy) → deprecated{% #send-an-incident-event-legacy %}

| Datadog site      | API endpoint                                            |
| ----------------- | ------------------------------------------------------- |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/dora/incident |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/dora/incident |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/dora/incident      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/dora/incident      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/dora/incident  |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/dora/incident     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/dora/incident |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/dora/incident |
